All resources All frames

# AclRealm

This metadata frame is used to access the Jigsaw Realms through the Acl API.

## Inherits

The AclRealm class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- MetaDataFrame
- JAcl

## Attributes description

The AclRealm defines the following attributes:

- realm
- users
- methods

`realm`

semantics
  The realm name
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to null.

`users`

semantics
  The list of the names of the users allowed to access the information protected by the authentication filter.
type
  This attribute is an editable StringArrayAttribute
default value
  This attribute defaults to null.

`methods`

semantics
  The set of methods to protect against. When undefined, the filter will protected all HTTP method, otherwise it will just protect against the given set of methods. Each method is given by its name (in upper case).
type
  This attribute is an editable StringArrayAttribute
default value
  This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.acl.AclRealm.html,v 1.1 1999/07/26 14:25:17 bmahe Exp $